import request from '@/utils/request'
import type { ApiResult } from '@/api/auth'

/** 提交反馈参数 */
export interface UserFeedbackParams {
    /** 反馈类型 */
    type: number
    /** 反馈内容 */
    content: string
}

/**
 * 提交反馈
 * POST /UserFeedbackParams
 */
export function userFeedback(data: UserFeedbackParams) {
    return request.post<any, ApiResult>('/user/feedback', data)
}